{
  "lockVersion": "1.0",
  "settings": {
    "resolveConflict": true,
    "resolveConflictStrict": false,
    "installAll": true
  },
  "overrides": {},
  "overrideDependencyMap": {},
  "modules": {
    ".": {
      "name": "",
      "dependencies": {
        "@ohos/crypto-js": {
          "specifier": "^2.0.4",
          "version": "2.0.4"
        }
      },
      "devDependencies": {
        "@ohos/hypium": {
          "specifier": "1.0.21",
          "version": "1.0.21"
        },
        "@ohos/hamock": {
          "specifier": "1.0.0",
          "version": "1.0.0"
        }
      },
      "dynamicDependencies": {},
      "maskedByOverrideDependencyMap": false
    },
    "commons/basic": {
      "name": "basic",
      "dependencies": {},
      "devDependencies": {},
      "dynamicDependencies": {},
      "maskedByOverrideDependencyMap": false
    },
    "commons/uicomponents": {
      "name": "uicomponents",
      "dependencies": {},
      "devDependencies": {},
      "dynamicDependencies": {},
      "maskedByOverrideDependencyMap": false
    },
    "commons/utils": {
      "name": "utils",
      "dependencies": {
        "@ohos/crypto-js": {
          "specifier": "^2.0.4",
          "version": "2.0.4"
        }
      },
      "devDependencies": {},
      "dynamicDependencies": {},
      "maskedByOverrideDependencyMap": false
    },
    "features/Home": {
      "name": "Home",
      "dependencies": {
        "@itcast/basic": {
          "specifier": "file:commons/basic",
          "version": "file:commons/basic"
        }
      },
      "devDependencies": {},
      "dynamicDependencies": {},
      "maskedByOverrideDependencyMap": false
    },
    "features/mypage": {
      "name": "mypage",
      "dependencies": {
        "@itcast/basic": {
          "specifier": "file:commons/basic",
          "version": "file:commons/basic"
        }
      },
      "devDependencies": {},
      "dynamicDependencies": {},
      "maskedByOverrideDependencyMap": false
    },
    "features/register": {
      "name": "register",
      "dependencies": {
        "@itcast/basic": {
          "specifier": "file:commons/basic",
          "version": "file:commons/basic"
        }
      },
      "devDependencies": {},
      "dynamicDependencies": {},
      "maskedByOverrideDependencyMap": false
    },
    "products/expert": {
      "name": "default",
      "dependencies": {
        "@itcast/basic": {
          "specifier": "file:commons/basic",
          "version": "file:commons/basic"
        },
        "utils": {
          "specifier": "file:commons/utils",
          "version": "file:commons/utils"
        },
        "mypage": {
          "specifier": "file:features/mypage",
          "version": "file:features/mypage"
        },
        "home": {
          "specifier": "file:features/Home",
          "version": "file:features/Home"
        },
        "register": {
          "specifier": "file:features/register",
          "version": "file:features/register"
        }
      },
      "devDependencies": {},
      "dynamicDependencies": {},
      "maskedByOverrideDependencyMap": false
    }
  },
  "packages": {
    "@ohos/crypto-js@2.0.4": {
      "integrity": "sha512-589ur6oqU1UNibqefMly2cwEeEhkSoCAA3uc+oNUwRnYYtevn/kQnO+Coi36N+VJSeeg/uFzZk1K/wUMdovpOA==",
      "storePath": "oh_modules/.ohpm/@ohos+crypto-js@2.0.4",
      "dependencies": {},
      "dynamicDependencies": {},
      "dev": false,
      "dynamic": false,
      "maskedByOverrideDependencyMap": false
    },
    "@ohos/hypium@1.0.21": {
      "integrity": "sha512-iyKGMXxE+9PpCkqEwu0VykN/7hNpb+QOeIuHwkmZnxOpI+dFZt6yhPB7k89EgV1MiSK/ieV/hMjr5Z2mWwRfMQ==",
      "storePath": "oh_modules/.ohpm/@ohos+hypium@1.0.21",
      "dependencies": {},
      "dynamicDependencies": {},
      "dev": true,
      "dynamic": false,
      "maskedByOverrideDependencyMap": false
    },
    "@ohos/hamock@1.0.0": {
      "integrity": "sha512-K6lDPYc6VkKe6ZBNQa9aoG+ZZMiwqfcR/7yAVFSUGIuOAhPvCJAo9+t1fZnpe0dBRBPxj2bxPPbKh69VuyAtDg==",
      "storePath": "oh_modules/.ohpm/@ohos+hamock@1.0.0",
      "dependencies": {},
      "dynamicDependencies": {},
      "dev": true,
      "dynamic": false,
      "maskedByOverrideDependencyMap": false
    },
    "@itcast/basic@file:commons/basic": {
      "storePath": "commons/basic",
      "dependencies": {},
      "dynamicDependencies": {},
      "dev": false,
      "dynamic": false,
      "maskedByOverrideDependencyMap": false
    },
    "utils@file:commons/utils": {
      "storePath": "commons/utils",
      "dependencies": {
        "@ohos/crypto-js": "2.0.4"
      },
      "dynamicDependencies": {},
      "dev": false,
      "dynamic": false,
      "maskedByOverrideDependencyMap": false
    },
    "mypage@file:features/mypage": {
      "storePath": "features/mypage",
      "dependencies": {
        "@itcast/basic": "commons/basic"
      },
      "dynamicDependencies": {},
      "dev": false,
      "dynamic": false,
      "maskedByOverrideDependencyMap": false
    },
    "home@file:features/Home": {
      "storePath": "features/Home",
      "dependencies": {
        "@itcast/basic": "commons/basic"
      },
      "dynamicDependencies": {},
      "dev": false,
      "dynamic": false,
      "maskedByOverrideDependencyMap": false
    },
    "register@file:features/register": {
      "storePath": "features/register",
      "dependencies": {
        "@itcast/basic": "commons/basic"
      },
      "dynamicDependencies": {},
      "dev": false,
      "dynamic": false,
      "maskedByOverrideDependencyMap": false
    }
  }
}